Run input through image filters before inference

- available only in Browser environments
- image filters run with near-zero latency as they are executed on the GPU using WebGL

### Hierarchy

- FilterConfig

## Index

### Properties

- blur
- brightness
- contrast
- enabled
- equalization
- flip
- height
- hue
- kodachrome
- negative
- pixelate
- polaroid
- return
- saturation
- sepia
- sharpness
- technicolor
- vintage
- width

## Properties

### blur

blur: number

- Defined in src/config.ts:154

property

  range: 0 (no blur) to N (blur radius in pixels)

### brightness

brightness: number

- Defined in src/config.ts:148

property

  range: -1 (darken) to 1 (lighten)

### contrast

contrast: number

- Defined in src/config.ts:150

property

  range: -1 (reduce contrast) to 1 (increase contrast)

### enabled

enabled: boolean

- Defined in src/config.ts:124

property

  are image filters enabled?

### equalization

equalization: boolean

- Defined in src/config.ts:128

property

  perform image histogram equalization

  - equalization is performed on input as a whole and detected face before its passed for further analysis

### flip

flip: boolean

- Defined in src/config.ts:146

property

  flip input as mirror image

### height

height: number

- Defined in src/config.ts:142

resize input height

- if both width and height are set to 0, there is no resizing
- if just one is set, second one is scaled automatically
- if both are set, values are used as-is

property

### hue

hue: number

- Defined in src/config.ts:158

property

  range: 0 (no change) to 360 (hue rotation in degrees)

### kodachrome

kodachrome: boolean

- Defined in src/config.ts:166

property

  image kodachrome colors

### negative

negative: boolean

- Defined in src/config.ts:160

property

  image negative

### pixelate

pixelate: number

- Defined in src/config.ts:172

property

  range: 0 (no pixelate) to N (number of pixels to pixelate)

### polaroid

polaroid: boolean

- Defined in src/config.ts:170

property

  image polaroid camera effect

### return

return: boolean

- Defined in src/config.ts:144

property

  return processed canvas imagedata in result

### saturation

saturation: number

- Defined in src/config.ts:156

property

  range: -1 (reduce saturation) to 1 (increase saturation)

### sepia

sepia: boolean

- Defined in src/config.ts:162

property

  image sepia colors

### sharpness

sharpness: number

- Defined in src/config.ts:152

property

  range: 0 (no sharpening) to 1 (maximum sharpening)

### technicolor

technicolor: boolean

- Defined in src/config.ts:168

property

  image technicolor colors

### vintage

vintage: boolean

- Defined in src/config.ts:164

property

  image vintage colors

### width

width: number

- Defined in src/config.ts:135

resize input width

- if both width and height are set to 0, there is no resizing
- if just one is set, second one is scaled automatically
- if both are set, values are used as-is

property